Page MenuHome

Blender 2.78c Animation Export Alembic Problem caused by Multiply UV' Sets and multiple Materials and Workaround Solution
Closed, InvalidPublic

Description

System Information
Linux Mint 17.3, i5 6640, Asus 1050 Ti OC Expedition

Blender Version
Blenderversion: 2.78c

Short description of error

Currently working on a very heavy scene where i needed to export a large spaceship to Houdini for further Simulations. When i tried to Export the prebaked mesh via Alembic and only selected Option and with correct frame from 1 to 110 frames. The exported animation is a still in Houdini.

Solution to get it working: After several Hours of testing i found out, by accident, that the blender exporter has a problem with multiply Uv Sets. So i deleted all UV Sets and all Materials...to solve the issue... After export the animation of the mesh was correct in Houdini.

Exact steps for others to reproduce the error

Try to export a Transform Animation of a object with multiply materials and UV sets.... and try to reimport that resulting mesh into houdini , it will not work unless you delete all materials and Uv sets.

I have to say sorry cause i cannot provide any scene file cause its restricted content. But it also has problems on a simple cube with multiple uv sets and multiple Materials.

Cheers.

Details

Type
Bug

Event Timeline

- (alexgerman123) renamed this task from Blender 2.78c Export Alembic Problem caused by Multiply UV' Sets and multiple Materials and Workaround Solution to Blender 2.78c Animation Export Alembic Problem caused by Multiply UV' Sets and multiple Materials and Workaround Solution.Jun 18 2017, 3:45 PM
- (alexgerman123) created this task.

Since I don't have Houdini, it'll be hard to test this out (the "free" version doesn't include Alembic support). I can try and investigate with some other software, though (abcview).
Please attach a simple example file that shows this issue.

Sybren A. Stüvel (sybren) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jun 19 2017, 11:37 AM

File:

So i tested alot at the weekend and i found out that the problem only occur with high amounts of polygones.

maybe when a edgesplit is added as modifier. Dont really know what the problem is. I provide the Blend file with a prebaked path. when i export the sphere i only exported the sphere shape not the empty object. the sphere has three uv sets and three materials.

I also provide the Houdini file. and the ABC file.

The Abc is also not playing a animation in the compositing tool Nuke.

To test it in Houdini go to: www.sidefx.com There you can download a free apprentice version for your operating system. the alembic import should work within the apprentice version the export not. Its mostly self explaining how to import alembic files from blender into houdini. Simply use the import option from the main menu context.

Hopefully it helps to solve the issue.

Addition:

I tested the export in Linux with 3.19 Kernel wich is recommented by the OS developer. Also tested with Kernel 4.0 and 4.4. The result is the same. I am working on 4.4.79 in general cause of hardware requirements.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Jun 28 2017, 10:37 AM
Sybren A. Stüvel (sybren) claimed this task.

Can't reproduce on Blender rB1fb30758034c2f, there it exports a very large file (see attachment below) that is animated properly when viewed in Guerilla Render.

hmm. i dont know which version you have but to mark it as invalid. instead of downloading the free houdini apprentice version and test it? sorry. was the last time that i tried to help. its reproduceable. guerillia renderer is no valid highend production enviroment!! my opinion! the problem is reproduceable in nuke and houdini. and fusion thanks for not willing to check it. thats all what i get from this. Goodbye. You lost a blender defender and my help.

The thing is that you say you tested this on Blender 2.78c. Since that version there have been many improvements in Alembic support. This means that a bug has to be reproducible with either 2.79-testbuild1 or a daily build. From what I can see here, it just works on a recent build of Blender.

when did i posted the error? when 2.78c was released. to say it is invalid.. is invalid. i dont know what have changed in that case in 2.79 ... by the way where is the download for 2.79? its not my job to test your software problems in every test build. i have to do other jobs. i want to make you aware of the problem,which is reproduceable nothing less or more. your job is too fix it. i ask myself why i spend money every month to help this development?. this thread is closed now from my standpoint.